#include<bits/stdc++.h>
using namespace std;
int main(){
    string s;
    cin >> s;
    for(int i = 0; i < s.size(); i++){
    if(s[i] == '0'){
        s.erase(s.begin()+i, s.begin()+i+1);
    }
    }
    reverse(s.begin(), s.end());
    for(long long i = 0; i <= s.size()-1; i++){
        if(s[i] == '5'){
            cout << "2";
        }
        else if(s[i] == '2'){
            cout << "5";
        }
        else{
        cout << s[i];
        }
    }
}
